#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main()
{
    //n - ukupan broj napitaka
    //k - broj uzetih napitaka
    int n, k, minp, maxp, l;
    cin >> n >> k;
    vector<int> a;
    vector<int> h;

    cin >> l;
    a.push_back(l);
    cin >> l;
    a.push_back(l);
    if(a[0] > a[1])
    {
        maxp = a[0];
        minp = a[1];
    }
    else
    {
        maxp = a[1];
        minp = a[0];
    }
    for(int i = 2; i < n; i++)
    {
        cin >> l;
        a.push_back(l);
        if(a[i] > maxp)
            maxp = a[i];
        if(a[i] < minp)
            minp = a[i];
    }
    if(k == 2)
        cout << maxp-minp << endl;
    else
    {
        maxp = 0;
        for(int i = 1; i < k; i++)
            maxp+= a[i];
        maxp-= a[0];

        for(int i = n-1; i >= k; i--)
        {
            l = a[i];
            a.pop_back();
            h = a;
            sort(h.begin(), h.end());
            for(int p = 0; p < k - 1; p++)
                l+= h[p];
            if(l > maxp)
                maxp = l;
        }
        cout << maxp << endl;
    }

    return 0;
}